# frozen_string_literal: true

require_relative "lib/tax_calculator/version"

Gem::Specification.new do |spec|
  spec.name          = "tax_calculator"
  spec.version       = TaxCalculator::VERSION
  spec.authors       = ["Corey Carvalho"]
  spec.email         = ["coreycarvalho@fastmail.com"]

  spec.summary       = "Calculate estimated income tax liability"
  spec.description   =
    "This gem provides an easy way to estimate how much income tax you owe in a given year.
    This is to be used as an estimate only. This gem is not a replacement for CPA services.
    Please consult your CPA for anything tax related."
  spec.homepage      = "https://github.com/coreycarvalho/tax_calculator.git"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "rake", "~> 13.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "rubocop", "~> 0.87"
end
